import request from '@/utils/request'

// 查询商品规格名列表
export function listMallGoodsSpec(query) {
  return request({
    url: '/mall/mallGoodsSpec/list',
    method: 'get',
    params: query
  })
}

// 查询商品规格名详细
export function getMallGoodsSpec(id) {
  return request({
    url: '/mall/mallGoodsSpec/' + id,
    method: 'get'
  })
}

// 新增商品规格名
export function addMallGoodsSpec(data) {
  return request({
    url: '/mall/mallGoodsSpec',
    method: 'post',
    data: data
  })
}

// 修改商品规格名
export function updateMallGoodsSpec(data) {
  return request({
    url: '/mall/mallGoodsSpec',
    method: 'put',
    data: data
  })
}

// 删除商品规格名
export function delMallGoodsSpec(id) {
  return request({
    url: '/mall/mallGoodsSpec/' + id,
    method: 'delete'
  })
}

// 导出商品规格名
export function exportMallGoodsSpec(query) {
  return request({
    url: '/mall/mallGoodsSpec/export',
    method: 'get',
    params: query
  })
}